<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones,  Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."welcome_pm_panel/infusion_db.php";

if (file_exists(INFUSIONS."welcome_pm_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."welcome_pm_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."welcome_pm_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['wel001'];
$inf_description = $locale['wel001b'];
$inf_version = "1.00";
$inf_developer = "Fangree Productions ";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";

$inf_folder = "welcome_pm_panel";

$inf_newtable[1] = DB_WELCOME_PM." (
welcpm_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
message_subject VARCHAR(32) DEFAULT '' NOT NULL,
msg_msg TEXT NOT NULL,
PRIMARY KEY (welcpm_enable)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_WELCOME_PM." (welcpm_enable, message_subject, msg_msg) VALUES('0', '".$locale['wel001c']."', '".$locale['wel001d']."')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['wel001']."', panel_filename='".$inf_folder."', panel_content='', panel_side=2, panel_order='1', panel_type='file', panel_access='101', panel_display='1', panel_status='1'";
$inf_droptable[1] = DB_WELCOME_PM;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='welcome_pm_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['wel001'],
	"image" => "welcome_pm_panel.gif",
	"panel" => "welcome_pm_panel_admin.php",
	"rights" => "WPM"
);


?>